:root {
  --primary: seagreen;
  --bg: #fff;
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  outline: none;
  border: none;
  text-decoration: none;
}

html {
  scroll-behavior: smooth;
}

body {
  font-family: "Poppins", sans-serif;
  background-color: #000000;
  color: var(--primary);
}

p {
  color: #fff;
}

.navbar {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 1.4rem 7%;
  background-color: rgb(255, 255, 255, 0.8);
  border-bottom: 1px solid var(--primary);
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  z-index: 9999;
}

.navbar-logo {
  flex: 1;
}

.navbar .navbar-logo img {
  width: 40px;
  margin-right: 10px;
}

.navbar .navbar-logo a {
  display: flex;
  align-items: center;
  font-size: 2rem;
  font-weight: 700;
  color: var(--primary);
  font-style: italic;
}

.navbar .navbar-logo a:hover {
  color: goldenrod;
}

.navbar .navbar-nav a {
  color: var(--primary);
  display: inline-block;
  font-size: 1.3rem;
  margin: 0 1rem;
}

.navbar .navbar-nav a:hover {
  color: goldenrod;
}

.navbar .navbar-nav a::after {
  content: "";
  display: block;
  padding-bottom: 0.5rem;
  border-bottom: 0.1rem solid var(--primary);
  transform: scaleX(0);
  transition: 0.2s linear;
}

.navbar .navbar-nav a:hover::after {
  transform: scaleX(0.5);
}

.navbar .navbar-extra a {
  color: var(--primary);
  margin: 1.5rem;
  padding: 0.5rem;
  font-size: 2rem;
}

.navbar .navbar-extra a:hover {
  color: goldenrod;
}

#zieda-menu {
  display: none;
}

/* Hero Section */

.hero {
  min-height: 100vh;
  display: flex;
  align-items: center;
  background: url("../assets/images/zieda-section-web.jpeg");
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center;
  position: relative;
}

.hero::after {
  content: "";
  display: block;
  position: absolute;
  width: 100%;
  height: 30%;
  bottom: 0;
  background: linear-gradient(
    0deg,
    rgb(1, 1, 3, 1) 8%,
    rgba(255, 255, 255, 0) 50%
  );
}

.hero .content {
  padding: 1.4rem 7%;
  max-width: 60rem;
}

.hero .content h1 {
  font-size: 4em;
  color: #fff;
  text-shadow: 1px 1px 3px rgba(1, 1, 3, 0.5);
  line-height: 1.2;
}

.hero .content p {
  font-size: 1.6rem;
  margin-top: 0.5rem;
  line-height: 1.4;
  font-weight: 500;
  color: goldenrod;
  text-shadow: 1px 1px 3px rgba(1, 1, 3, 0.5);
}

.hero .content .cta,
.contact .row .cta {
  margin-top: 1rem;
  display: inline-block;
  padding: 1rem 3rem;
  font-size: 1.4rem;
  background-color: seagreen;
  color: #fff;
  border-radius: 0.5rem;
  box-shadow: 1px 1px 3px rgba(1, 1, 3, 0.5);
  transition: all 0.5s ease 0s;
  cursor: pointer;
}

.hero .content .cta:hover,
.contact .row .cta:hover {
  color: goldenrod;
  background-color: #fff;
}

/* About Section */

.about,
.fasilitas,
.contact,
.gallery {
  padding: 8rem 7% 1.4rem;
}

.about h2,
.fasilitas h2,
.contact h2,
.gallery h2 {
  text-align: center;
  font-size: 2.6rem;
  margin-bottom: 3rem;
}

.about h2 span,
.fasilitas h2 span,
.contact h2 span,
.gallery h2 span {
  color: goldenrod;
}

.about .row {
  display: flex;
}

.about .row .about-img {
  flex: 1 1 45rem;
}

.about .row .about-img img {
  width: 100%;
}

.about .row .content {
  flex: 1 1 35rem;
  padding: 0 1rem;
}

.about .row .content h3 {
  font-size: 1.8rem;
  margin-bottom: 1rem;
  color: #fff;
}

.about .row .content p {
  margin-bottom: 0.8rem;
  font-size: 1.4rem;
  font-weight: 300;
  line-height: 1.6;
}

/* Fasilitas Section */

.fasilitas h2,
.contact h2 {
  margin-bottom: 1rem;
}

.fasilitas p,
.contact p,
.gallery p {
  text-align: center;
  max-width: 30rem;
  margin: auto;
  font-weight: 300;
  line-height: 1.6;
}

.fasilitas .row {
  display: flex;
  flex-wrap: wrap;
  margin-top: 5rem;
  justify-content: center;
}

.fasilitas-card {
  text-align: center;
  padding-bottom: 5rem;
  color: #fff;
}

.fasilitas .row .fasilitas-card img {
  border-radius: 10%;
  width: 80%;
}

.fasilitas .row .fasilitas-card .fasilitas-card-title {
  margin: 1rem auto 0.5rem;
}

/* gallery section */

.gallery .row {
  display: flex;
  padding: 0;
  flex-wrap: wrap;
  margin-top: 5rem;
  justify-content: center;
}

.gallery-img {
  width: 100%;
}

#gallery .row > * {
  padding: 0;
}

/* Contact Section */

.contact .row {
  display: flex;
  margin-top: 2rem;
  background-color: #000000;
}

.contact .row .map {
  flex: 1 1 45rem;
  width: 100%;
  object-fit: cover;
}

.contact .socials {
  padding: 1rem 0;
}

.contact .socials a {
  color: #fff;
  margin: 1rem;
}
.contact .row .socials {
  flex: 1 1 45rem;
  padding: 5rem 2rem;
  text-align: center;
  margin: 10rem;
}

.contact .row .socials a:hover {
  color: #222;
}

/* Footer */

footer {
  background-color: var(--primary);
  text-align: center;
  padding: 1rem 0 3rem;
  margin-top: 3rem;
}

footer .links a:hover {
  color: #222;
}

footer .links {
  margin-bottom: 1.5rem;
}

footer .links a {
  color: #fff;
  padding: 0.7rem 1rem;
}

footer .credit {
  font-size: 0.8rem;
  color: #fff;
}

footer .credit a {
  color: #000000;
  font-weight: 700;
}

/* Media Quaries */

/* laptop */
@media (max-width: 1366px) {
  html {
    font-size: 75%;
  }
}

/* tablet */
@media (max-width: 768px) {
  html {
    font-size: 62.5%;
  }

  .hero {
    width: 100%;
    margin-top: 10px;
    flex-wrap: wrap-reverse;
    gap: 2em;
  }

  .hero .content {
    margin-top: 5px;
    width: 100%;
    text-align: center;
    font-size: 5px;
  }

  .hero .content .h1 {
    font-size: 3rem;
  }

  #zieda-menu {
    display: inline-block;
  }

  .navbar .navbar-nav {
    position: absolute;
    top: 100%;
    right: -100%;
    background-color: #222;
    width: 30rem;
    height: 100vh;
    transition: 0.3s;
  }

  .navbar .navbar-nav.active {
    right: 0;
  }

  .navbar .navbar-nav a {
    color: var(--primary);
    display: block;
    margin: 1.5rem;
    padding: 0.5rem;
    font-size: 2rem;
  }

  .navbar .navbar-nav a::after {
    transform-origin: 0 0;
  }

  .navbar .navbar-nav a:hover:after {
    transform: scaleX(0.2);
  }

  .about,
  .fasilitas,
  .contact {
    padding: 15rem 7% 1.4rem;
  }
  .about .row {
    flex-wrap: wrap;
  }

  .about .row .about-img img {
    height: 24rem;
    object-fit: cover;
    object-position: center;
  }

  .about .row .content {
    padding: 0;
  }

  .about .row .content h3 {
    margin-top: 1rem;
    font-size: 1.6rem;
  }

  .fasilitas p,
  .contact p {
    font-size: 1.4rem;
  }

  .contact .row {
    flex-wrap: wrap;
  }

  .contact .row .map {
    height: 30rem;
  }

  .contact .row .socials {
    padding-top: 0;
  }
}
/* mobile */
@media (max-width: 450px) {
  html {
    font-size: 55%;
  }
}
